// 应用常量
export const APP_NAME = 'TranslatePro 管理后台';
export const APP_VERSION = '1.0.0';
export const APP_DESCRIPTION = '专业的多语言翻译服务平台管理系统';

// API配置
export const API_ENDPOINTS = {
  AUTH: '/auth',
  USERS: '/users',
  CALLS: '/calls',
  DOCUMENTS: '/documents',
  APPOINTMENTS: '/appointments',
  TRANSLATORS: '/translators',
  PAYMENTS: '/payments',
  DASHBOARD: '/dashboard',
  SETTINGS: '/settings',
  NOTIFICATIONS: '/notifications',
  LOGS: '/logs'
} as const;

// 用户角色
export const USER_ROLES = {
  ADMIN: 'admin',
  USER: 'user',
  TRANSLATOR: 'translator'
} as const;

export const USER_ROLE_LABELS = {
  [USER_ROLES.ADMIN]: '管理员',
  [USER_ROLES.USER]: '用户',
  [USER_ROLES.TRANSLATOR]: '译员'
} as const;

// 用户状态
export const USER_STATUS = {
  ACTIVE: 'active',
  INACTIVE: 'inactive',
  SUSPENDED: 'suspended',
  BANNED: 'banned'
} as const;

export const USER_STATUS_LABELS = {
  [USER_STATUS.ACTIVE]: '活跃',
  [USER_STATUS.INACTIVE]: '非活跃',
  [USER_STATUS.SUSPENDED]: '暂停',
  [USER_STATUS.BANNED]: '封禁'
} as const;

export const USER_STATUS_COLORS = {
  [USER_STATUS.ACTIVE]: 'success',
  [USER_STATUS.INACTIVE]: 'default',
  [USER_STATUS.SUSPENDED]: 'warning',
  [USER_STATUS.BANNED]: 'error'
} as const;

// 通话类型
export const CALL_TYPES = {
  AI: 'ai',
  HUMAN: 'human',
  VIDEO: 'video',
  SIGN: 'sign'
} as const;

export const CALL_TYPE_LABELS = {
  [CALL_TYPES.AI]: 'AI翻译',
  [CALL_TYPES.HUMAN]: '人工翻译',
  [CALL_TYPES.VIDEO]: '视频通话',
  [CALL_TYPES.SIGN]: '手语翻译'
} as const;

// 通话状态
export const CALL_STATUS = {
  ACTIVE: 'active',
  COMPLETED: 'completed',
  CANCELLED: 'cancelled',
  FAILED: 'failed'
} as const;

export const CALL_STATUS_LABELS = {
  [CALL_STATUS.ACTIVE]: '进行中',
  [CALL_STATUS.COMPLETED]: '已完成',
  [CALL_STATUS.CANCELLED]: '已取消',
  [CALL_STATUS.FAILED]: '失败'
} as const;

export const CALL_STATUS_COLORS = {
  [CALL_STATUS.ACTIVE]: 'processing',
  [CALL_STATUS.COMPLETED]: 'success',
  [CALL_STATUS.CANCELLED]: 'default',
  [CALL_STATUS.FAILED]: 'error'
} as const;

// 文档状态
export const DOCUMENT_STATUS = {
  PENDING: 'pending',
  PROCESSING: 'processing',
  REVIEW: 'review',
  COMPLETED: 'completed',
  FAILED: 'failed'
} as const;

export const DOCUMENT_STATUS_LABELS = {
  [DOCUMENT_STATUS.PENDING]: '等待中',
  [DOCUMENT_STATUS.PROCESSING]: '处理中',
  [DOCUMENT_STATUS.REVIEW]: '审核中',
  [DOCUMENT_STATUS.COMPLETED]: '已完成',
  [DOCUMENT_STATUS.FAILED]: '失败'
} as const;

export const DOCUMENT_STATUS_COLORS = {
  [DOCUMENT_STATUS.PENDING]: 'default',
  [DOCUMENT_STATUS.PROCESSING]: 'processing',
  [DOCUMENT_STATUS.REVIEW]: 'warning',
  [DOCUMENT_STATUS.COMPLETED]: 'success',
  [DOCUMENT_STATUS.FAILED]: 'error'
} as const;

// 文档质量等级
export const DOCUMENT_QUALITY = {
  DRAFT: 'draft',
  PROFESSIONAL: 'professional',
  CERTIFIED: 'certified'
} as const;

export const DOCUMENT_QUALITY_LABELS = {
  [DOCUMENT_QUALITY.DRAFT]: '草稿级',
  [DOCUMENT_QUALITY.PROFESSIONAL]: '专业级',
  [DOCUMENT_QUALITY.CERTIFIED]: '认证级'
} as const;

// 预约状态
export const APPOINTMENT_STATUS = {
  SCHEDULED: 'scheduled',
  CONFIRMED: 'confirmed',
  IN_PROGRESS: 'in_progress',
  COMPLETED: 'completed',
  CANCELLED: 'cancelled',
  NO_SHOW: 'no_show'
} as const;

export const APPOINTMENT_STATUS_LABELS = {
  [APPOINTMENT_STATUS.SCHEDULED]: '已安排',
  [APPOINTMENT_STATUS.CONFIRMED]: '已确认',
  [APPOINTMENT_STATUS.IN_PROGRESS]: '进行中',
  [APPOINTMENT_STATUS.COMPLETED]: '已完成',
  [APPOINTMENT_STATUS.CANCELLED]: '已取消',
  [APPOINTMENT_STATUS.NO_SHOW]: '未出席'
} as const;

export const APPOINTMENT_STATUS_COLORS = {
  [APPOINTMENT_STATUS.SCHEDULED]: 'default',
  [APPOINTMENT_STATUS.CONFIRMED]: 'processing',
  [APPOINTMENT_STATUS.IN_PROGRESS]: 'warning',
  [APPOINTMENT_STATUS.COMPLETED]: 'success',
  [APPOINTMENT_STATUS.CANCELLED]: 'error',
  [APPOINTMENT_STATUS.NO_SHOW]: 'error'
} as const;

// 译员状态
export const TRANSLATOR_STATUS = {
  AVAILABLE: 'available',
  BUSY: 'busy',
  OFFLINE: 'offline',
  ON_BREAK: 'on_break'
} as const;

export const TRANSLATOR_STATUS_LABELS = {
  [TRANSLATOR_STATUS.AVAILABLE]: '可用',
  [TRANSLATOR_STATUS.BUSY]: '忙碌',
  [TRANSLATOR_STATUS.OFFLINE]: '离线',
  [TRANSLATOR_STATUS.ON_BREAK]: '休息中'
} as const;

export const TRANSLATOR_STATUS_COLORS = {
  [TRANSLATOR_STATUS.AVAILABLE]: 'success',
  [TRANSLATOR_STATUS.BUSY]: 'warning',
  [TRANSLATOR_STATUS.OFFLINE]: 'default',
  [TRANSLATOR_STATUS.ON_BREAK]: 'processing'
} as const;

// 支付状态
export const PAYMENT_STATUS = {
  PENDING: 'pending',
  PROCESSING: 'processing',
  COMPLETED: 'completed',
  FAILED: 'failed',
  REFUNDED: 'refunded'
} as const;

export const PAYMENT_STATUS_LABELS = {
  [PAYMENT_STATUS.PENDING]: '待支付',
  [PAYMENT_STATUS.PROCESSING]: '处理中',
  [PAYMENT_STATUS.COMPLETED]: '已完成',
  [PAYMENT_STATUS.FAILED]: '失败',
  [PAYMENT_STATUS.REFUNDED]: '已退款'
} as const;

export const PAYMENT_STATUS_COLORS = {
  [PAYMENT_STATUS.PENDING]: 'default',
  [PAYMENT_STATUS.PROCESSING]: 'processing',
  [PAYMENT_STATUS.COMPLETED]: 'success',
  [PAYMENT_STATUS.FAILED]: 'error',
  [PAYMENT_STATUS.REFUNDED]: 'warning'
} as const;

// 支付类型
export const PAYMENT_TYPES = {
  CALL: 'call',
  DOCUMENT: 'document',
  SUBSCRIPTION: 'subscription',
  APPOINTMENT: 'appointment'
} as const;

export const PAYMENT_TYPE_LABELS = {
  [PAYMENT_TYPES.CALL]: '通话费用',
  [PAYMENT_TYPES.DOCUMENT]: '文档翻译',
  [PAYMENT_TYPES.SUBSCRIPTION]: '订阅费用',
  [PAYMENT_TYPES.APPOINTMENT]: '预约服务'
} as const;

// 通知类型
export const NOTIFICATION_TYPES = {
  INFO: 'info',
  SUCCESS: 'success',
  WARNING: 'warning',
  ERROR: 'error'
} as const;

export const NOTIFICATION_TYPE_LABELS = {
  [NOTIFICATION_TYPES.INFO]: '信息',
  [NOTIFICATION_TYPES.SUCCESS]: '成功',
  [NOTIFICATION_TYPES.WARNING]: '警告',
  [NOTIFICATION_TYPES.ERROR]: '错误'
} as const;

// 日志级别
export const LOG_LEVELS = {
  DEBUG: 'debug',
  INFO: 'info',
  WARN: 'warn',
  ERROR: 'error'
} as const;

export const LOG_LEVEL_LABELS = {
  [LOG_LEVELS.DEBUG]: '调试',
  [LOG_LEVELS.INFO]: '信息',
  [LOG_LEVELS.WARN]: '警告',
  [LOG_LEVELS.ERROR]: '错误'
} as const;

export const LOG_LEVEL_COLORS = {
  [LOG_LEVELS.DEBUG]: 'default',
  [LOG_LEVELS.INFO]: 'processing',
  [LOG_LEVELS.WARN]: 'warning',
  [LOG_LEVELS.ERROR]: 'error'
} as const;

// 语言水平
export const LANGUAGE_LEVELS = {
  NATIVE: 'native',
  FLUENT: 'fluent',
  INTERMEDIATE: 'intermediate',
  BASIC: 'basic'
} as const;

export const LANGUAGE_LEVEL_LABELS = {
  [LANGUAGE_LEVELS.NATIVE]: '母语',
  [LANGUAGE_LEVELS.FLUENT]: '流利',
  [LANGUAGE_LEVELS.INTERMEDIATE]: '中级',
  [LANGUAGE_LEVELS.BASIC]: '基础'
} as const;

// 订阅计划
export const SUBSCRIPTION_PLANS = {
  FREE: 'free',
  BASIC: 'basic',
  PREMIUM: 'premium',
  ENTERPRISE: 'enterprise'
} as const;

export const SUBSCRIPTION_PLAN_LABELS = {
  [SUBSCRIPTION_PLANS.FREE]: '免费版',
  [SUBSCRIPTION_PLANS.BASIC]: '基础版',
  [SUBSCRIPTION_PLANS.PREMIUM]: '高级版',
  [SUBSCRIPTION_PLANS.ENTERPRISE]: '企业版'
} as const;

// 主题模式
export const THEME_MODES = {
  LIGHT: 'light',
  DARK: 'dark',
  AUTO: 'auto'
} as const;

export const THEME_MODE_LABELS = {
  [THEME_MODES.LIGHT]: '浅色',
  [THEME_MODES.DARK]: '深色',
  [THEME_MODES.AUTO]: '自动'
} as const;

// 分页配置
export const PAGINATION = {
  DEFAULT_PAGE: 1,
  DEFAULT_PAGE_SIZE: 10,
  PAGE_SIZE_OPTIONS: [10, 20, 50, 100]
} as const;

// 文件上传配置
export const FILE_UPLOAD = {
  MAX_SIZE: 10 * 1024 * 1024, // 10MB
  ALLOWED_TYPES: [
    'application/pdf',
    'application/msword',
    'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
    'text/plain',
    'application/vnd.ms-excel',
    'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
  ],
  ALLOWED_EXTENSIONS: ['.pdf', '.doc', '.docx', '.txt', '.xls', '.xlsx']
} as const;

// 日期格式
export const DATE_FORMATS = {
  DATE: 'YYYY-MM-DD',
  DATETIME: 'YYYY-MM-DD HH:mm:ss',
  TIME: 'HH:mm:ss',
  DISPLAY_DATE: 'YYYY年MM月DD日',
  DISPLAY_DATETIME: 'YYYY年MM月DD日 HH:mm',
  DISPLAY_TIME: 'HH:mm'
} as const;

// 图表颜色
export const CHART_COLORS = {
  PRIMARY: '#1890ff',
  SUCCESS: '#52c41a',
  WARNING: '#faad14',
  ERROR: '#f5222d',
  INFO: '#13c2c2',
  PURPLE: '#722ed1',
  ORANGE: '#fa8c16',
  PINK: '#eb2f96'
} as const;

// 路由路径
export const ROUTES = {
  LOGIN: '/login',
  DASHBOARD: '/dashboard',
  USERS: '/users',
  CALLS: '/calls',
  DOCUMENTS: '/documents',
  APPOINTMENTS: '/appointments',
  TRANSLATORS: '/translators',
  PAYMENTS: '/payments',
  SETTINGS: '/settings',
  LOGS: '/logs',
  PROFILE: '/profile'
} as const;

// 本地存储键
export const STORAGE_KEYS = {
  TOKEN: 'token',
  USER: 'user',
  THEME: 'theme',
  LANGUAGE: 'language',
  SIDEBAR_COLLAPSED: 'sidebar_collapsed'
} as const;

// 默认配置
export const DEFAULT_CONFIG = {
  LANGUAGE: 'zh-CN',
  TIMEZONE: 'Asia/Shanghai',
  CURRENCY: 'USD',
  THEME: THEME_MODES.LIGHT,
  PAGE_SIZE: PAGINATION.DEFAULT_PAGE_SIZE
} as const; 